Bug 211715 - luci-0.8-20.el5 and ricci-0.8-20.el5 - cman service is not started on cluster nodes after cluster.conf is copied to nodes
luci-0.8-20.el5 and ricci-0.8-20.el5 - cman service is not started on cluster...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
: TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2006-10-20 22:24 EDT by Len DiMaggio
Modified: 2009-04-16 18:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-23 22:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2006-10-20 22:24:42 EDT
Description of problem:
luci-0.8-20.el5 and ricci-0.8-20.el5 - cman service is not started on cluster nodes

Version-Release number of selected component (if applicable):
luci-0.8-20.el5 and ricci-0.8-20.el5

How reproducible:

Steps to Reproduce:
1. When a new cluster is created, the cman service is not automatically started
on the cluster's nodes - the cluster's creation is not completed
Actual results:
The service is not started - no error is logged in var/log/messages

Expected results:
The service should start.

Additional info:
Comment 4 Kiersten (Kerri) Anderson 2006-10-22 19:51:08 EDT
Proposed beta2 blocker for conga.
Comment 5 Tom Kincaid 2006-10-22 20:03:44 EDT
Accepted as a Beta Blocker. 
Comment 6 RHEL Product and Program Management 2006-10-22 20:04:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 7 Len DiMaggio 2006-10-22 21:32:02 EDT
FYI - Ryan McCabe indicated that he would have updated RPMs on Monday - where
the luci+ricci processes would generate logging information to help debug this
Comment 8 Len DiMaggio 2006-10-23 15:05:11 EDT
More information: 

bz# 211715 and bz #211375 describe related, but not identical problems. 

In bz# 211715, on a test cluster comprised of VMWare images, the cluster.conf
file is successfully distributed to each of the cluster's nodes and the nodes
are rebooted. After the reboot, the cman (csdd) process is not running, so the
cluster cannot be started. This behavior looks to be consistent.

bz #211375 describes a problem, where with a physical set of nodes - all on the
subnet, the nodes never receive a cluster.conf file. This behavior also looks to
be consistent. 

Comment 9 Jim Parsons 2006-10-23 17:56:29 EDT
We are not certified on a cluster of VMWare images...there are SO MANY things
that can go wrong with VMs...can't we re-run this test on a cluster of physical
machines? I have some machines that you can use. 

On the second bug - Is there a machine I can log in to and look at this problem?
This behavior is not consistent - the HP rep used conga to create a 2 node
cluster today without incident. This problem is peculiar to the setup. Were the
RPMs for cluster suite already installed? Or were you having conga pull them
down from RHN?
Comment 10 Len DiMaggio 2006-10-23 22:00:31 EDT
On the first bug - 211715 - I tried VMWare images as a stop-gap measure only -
until I could access a set of physical machines.

On the second bug - YES - the machines are in Dean's test cluster - I'll get you
the names/passwords ASAP. The cluster RPMs were installed before the test.
Comment 11 Jim Parsons 2006-10-23 22:29:35 EDT
I am closing the first bug (this bug) as it addresses the VMWare cluster and we
are not supported on VMWare - even on rhel4 cluster suite. I will add comments
to the other bug, 211375

Note You need to log in before you can comment on or make changes to this bug.